<h1> Hero Details</h1>
<!-- <h2>ID: {{ hero.id }} </h2>
<h2>Name: {{ hero.name }} </h2> -->

<div *ngFor="let hero of heroes" (click)="onSelect(hero)">
    <h2> {{ hero.id }} </h2>
    <h2> {{ hero.name }} </h2>
</div>

<div *ngIf="selectedHero">
    <h3> {{ selectedHero.id }} </h3>
    <input [(ngModel)]="selectedHero.name" type="text">
</div>

<app-hero-detail> [hero]="selectedhero"</app-hero-detail>






<!-- <h2>My Heroes</h2>
<ul>
    <li *ngFor="let hero of heroes" (click)='onSelect(hero)'>
        <span> {{ hero.id }} </span> {{ hero.name }}
    </li>
</ul>

<div *ngIf='selectedHero'>
    <h2> {{ selectedHero | uppercase }} Details</h2>
    <div><span>ID: </span> {{ selectedHero.id }} </div>
    <div>
        <label>Name: 
            <input [(ngModel)]='selectedHero.name' placeholder="Name">
        </label>
    </div>
</div> -->
